# Uses of Enum Class
org.eclipse.emf.cdo.explorer.repositories.CDORepository.IDGeneration

Packages that use CDORepository.IDGeneration
Package
Description
org.eclipse.emf.cdo.explorer.repositories
Interfaces for working with `repositories`.

## Uses of CDORepository.IDGeneration in org.eclipse.emf.cdo.explorer.repositories

Methods in org.eclipse.emf.cdo.explorer.repositories that return CDORepository.IDGeneration
Modifier and Type
Method
Description
`static CDORepository.IDGeneration`
CDORepository.IDGeneration.`from(CDORepositoryInfo repositoryInfo)`
`CDORepository.IDGeneration`
CDORepository.`getIDGeneration()`
`static CDORepository.IDGeneration`
CDORepository.IDGeneration.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDORepository.IDGeneration[]`
CDORepository.IDGeneration.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.